Package de.geolykt.starloader.deobf

# Enum ComputationalTypeCategory

java.lang.Object
java.lang.Enum<ComputationalTypeCategory>
de.geolykt.starloader.deobf.ComputationalTypeCategory

All Implemented Interfaces:
  `Serializable`, `Comparable<ComputationalTypeCategory>`

public enum ComputationalTypeCategory extends Enum<ComputationalTypeCategory>
An enumeration of the two categories of computational types and helper methods. These categories are defined in §2.11.1 of the JVMS of Java SE 17.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CATEGORY_1`
  Computational types of category 1 are int, float, returnAddress and reference.
  `CATEGORY_2`
  Computational types of category 2 are long and double.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ComputationalTypeCategory`
  `parse(char c)`
  `static ComputationalTypeCategory`
  `parse(int codepoint)`
  `static ComputationalTypeCategory`
  `parse(String descString)`
  `static ComputationalTypeCategory`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ComputationalTypeCategory[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CATEGORY_1

    public static final ComputationalTypeCategory CATEGORY_1
    Computational types of category 1 are int, float, returnAddress and reference. They take up a single word.

  - ### CATEGORY_2

    public static final ComputationalTypeCategory CATEGORY_2
    Computational types of category 2 are long and double. They take up two words.

- ## Method Details

  - ### values

    public static ComputationalTypeCategory[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ComputationalTypeCategory valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### parse

    public static ComputationalTypeCategory parse(int codepoint)

  - ### parse

    public static ComputationalTypeCategory parse(char c)

  - ### parse

    public static ComputationalTypeCategory parse(String descString)